Subject: Re: bug#67521: 29.1; Describe with-current-buffer in more details

From: Xiyue Deng <[email-masked]>
Date: Wed, 29 Nov 2023 08:45:34 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Xiyue Deng <[email-masked]>
>> Date: Tue, 28 Nov 2023 23:01:58 -0800
>> 
>> In section 5.1, "The Definition of `copy-to-buffer'" of "Introduction to
>> Emacs Lisp", when describing the implementation, the description of
>> function `with-current-buffer' is a little too succinct with a sentence
>> "Then, the `with-current-buffer 'function evaluates its body with that
>> buffer temporarily current." and another one in the parentheses
>> "`with-current-buffer' is a newer, and arguably easier, mechanism."
>> 
>> AIUI the intro book is intended for people without programming
>> experience.  While arguably these two sentences do describe the
>> `with-current-buffer' function, it would be better to expand a little
>> more on what it does after "with that buffer temporarily current", such
>> as it will switch back to the current buffer upon finishing the inner
>> operations, etc.
>> 
>> Below is a proposed patch to expand the description a little.  Thanks in
>> advance for considering!
>
> Thanks, installed on the emacs-29 branch, and closing the issue.

Thanks Eli!  Just wondering will this be installed on master also (with
your fix of course)?

-- 
Xiyue Deng